Uploaded image for project: 'Log4php'
  1. Log4php
  2. LOG4PHP-234

Two plugin using log4php produces Fatal, although include_once used

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:

      ubuntu LTS 16

      Description

      Two wordpress plugins on the same install using log4php, loaded as explained in doc produce fatal error when used together:

      PHP Fatal error: Cannot declare class LoggerAutoloader, because the name is already in use in /var/www/yyyyyyy.com/wp-content/plugins/myplugin/libs/log4php/2.3.0/LoggerAutoloader.php on line 34

      no change if include_once used instead of include

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            Unassigned
            Reporter:
            crouti Max UNGER
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:

              Development